#include <SoftwareSerial.h>


const byte rx = PA1 ; 
const byte tx = PA0 ; 

SoftwareSerial myserial (rx, tx);
char val;                          // Data received from the serial port 
int ledPin = 2;                    // Set the pin to digital I/O 4

void setup() { 
  pinMode(ledPin, OUTPUT);         // Set pin as OUTPUT 
  myserial.begin(4800);              // Start serial communication at 9600 bps 
} 
 
void loop() { 
  if (myserial.available()) {        // If data is available to read, 
    val = myserial.read();           // read it and store it in val 
  } 
  if (val == '1') {                // If H was received
    digitalWrite(ledPin, HIGH);    // turn the LED on 
  } else { 
    digitalWrite(ledPin, LOW);     // Otherwise turn it OFF
  } 
  delay(100);                      // Wait 100 milliseconds for next reading 
} 
